Bug 168500 - Inconsistent naming convension for new cciss device in cciss.c
Inconsistent naming convension for new cciss device in cciss.c
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-16 14:19 EDT by Martin Jenner
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jenner 2005-09-16 14:19:29 EDT
Description of problem:

Reviewing patches applied to RHEL3 U6 kernel I spotted an inconsistency in the
naming convension for a new HP cciss supported device. The device in question is
referenced as both P400 and E400 in file linux-2.4.21/drivers/block/cciss.c

code snippets:

MODULE_SUPPORTED_DEVICE("HP SA5i SA5i+ SA532 SA5300 SA5312 SA641 SA642 SA6400"
                " SA6i P600 P800 P400 E200 E200i");

        { 0x3234103C, "Smart Array E400", &SA5_access},

In doc file linux-2.4.21/Documentation/cciss.txt the device was referenced as 

    SA P400

I discussed this with Tom Coughlan and he told me the device in question is new
hardware that would not be out in the real world during the life cycle of RHEL3
U6. The only impact of the current code could be naming confusion.

Tom also mentioned HP were still in flux with the naming choice.

Created this so things could be tided for RHEL3 U7.

Version-Release number of selected component (if applicable):

kernel-2.4.21-37.EL.src.rpm and kernel-source-2.4.21-37.EL.i386.rpm have the
inconsistentcy.


How reproducible:

Nothing to reproduce, just code review.

Additional info:
None.
Comment 1 RHEL Product and Program Management 2007-10-19 14:54:09 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.